version: 0.2
phases:
  install:
    commands:
      - |
        export DEBIAN_FRONTEND=noninteractive
        #Install php7.4
        apt-get update
        apt-get install -y  software-properties-common
        LC_ALL=C.UTF-8 add-apt-repository -y ppa:ondrej/php
        apt-get update
        # Install PHP
        apt-get install -y php7.4\
                 php7.4-xml \
                 php7.4-xmlrpc \
                 php7.4-zip \
                 php7.4-mbstring \
                 php7.4-mcrypt \
                 php7.3-curl \
                 unzip
        #Enable xdebug - phpunit uses this for code coverage
        phpenmod xdebug
        #Install composer
        php -r "copy('https://getcomposer.org/installer', 'composer-setup.php');"
        php composer-setup.php ;
        php -r "unlink('composer-setup.php');" ;
        mv composer.phar /usr/local/bin/composer

  build:
    commands:
      - echo Build started on `date`
      - echo Installing composer deps
      - composer install --no-progress --no-suggest

  post_build:
    commands:
      - ./vendor/bin/simple-phpunit
artifacts:
  files:
    - '**/*'